> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Theme

> Retrieves a tenant's pre-built UI theme.



## OpenAPI

````yaml management-api GET /theme
openapi: 3.1.0
info:
  description: Authsignal's Management API
  version: 1.0.0
  title: Management Api
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1/management
    description: Authsignal's US (Oregon) Management API
  - url: https://au.api.authsignal.com/v1/management
    description: Authsignal's AU (Sydney) Management API
  - url: https://eu.api.authsignal.com/v1/management
    description: Authsignal's EU (Ireland) Management API
  - url: https://ca.api.authsignal.com/v1/management
    description: Authsignal's CA (Montreal) Management API
security:
  - basicAuth: []
tags:
  - name: Tenant
    description: Endpoints related to the configuration of a tenant.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Action Configurations
    description: Endpoints related to the configuration of action configurations.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Rules
    description: Endpoints related to the configuration of rules.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Theme
    description: Endpoints related to the configuration of a Tenant's theme.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /theme:
    get:
      tags:
        - Theme
      summary: Get Theme
      description: Retrieves a tenant's pre-built UI theme.
      operationId: getTheme
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThemeBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ThemeBody:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
        logoUrl:
          type: string
          maxLength: 2048
        watermarkUrl:
          type: string
          maxLength: 2048
        faviconUrl:
          type: string
          maxLength: 2048
        primaryColor:
          type: string
          maxLength: 50
        colors:
          type: object
          properties:
            buttonPrimaryText:
              type: string
              maxLength: 50
            buttonPrimaryBorder:
              type: string
              maxLength: 50
            buttonSecondaryText:
              type: string
              maxLength: 50
            buttonSecondaryBackground:
              type: string
              maxLength: 50
            buttonSecondaryBorder:
              type: string
              maxLength: 50
            cardBackground:
              type: string
              maxLength: 50
            cardBorder:
              type: string
              maxLength: 50
            inputBackground:
              type: string
              maxLength: 50
            inputBorder:
              type: string
              maxLength: 50
            link:
              type: string
              maxLength: 50
            headingText:
              type: string
              maxLength: 50
            bodyText:
              type: string
              maxLength: 50
            containerBackground:
              type: string
              maxLength: 50
            containerBorder:
              type: string
              maxLength: 50
            divider:
              type: string
              maxLength: 50
            icon:
              type: string
              maxLength: 50
            loader:
              type: string
              maxLength: 50
            positive:
              type: string
              maxLength: 50
            critical:
              type: string
              maxLength: 50
            information:
              type: string
              maxLength: 50
            hover:
              type: string
              maxLength: 50
            focus:
              type: string
              maxLength: 50
          additionalProperties: false
        pageBackground:
          type: object
          properties:
            backgroundColor:
              type: string
              maxLength: 50
            backgroundImageUrl:
              type: string
              maxLength: 2048
          additionalProperties: false
        typography:
          type: object
          properties:
            display:
              type: object
              properties:
                fontUrl:
                  type: string
                  maxLength: 2048
              additionalProperties: false
          additionalProperties: false
        container:
          type: object
          properties:
            contentAlignment:
              type: string
              maxLength: 100
            position:
              type: string
              maxLength: 100
            padding:
              type: number
              minimum: -1000
              maximum: 1000
            logoAlignment:
              type: string
              maxLength: 100
            logoPosition:
              type: string
              maxLength: 100
            logoHeight:
              type: number
              minimum: -1000
              maximum: 1000
          additionalProperties: false
        borders:
          type: object
          properties:
            buttonBorderRadius:
              type: number
              minimum: -1000
              maximum: 1000
            buttonBorderWidth:
              type: number
              minimum: -1000
              maximum: 1000
            cardBorderRadius:
              type: number
              minimum: -1000
              maximum: 1000
            cardBorderWidth:
              type: number
              minimum: -1000
              maximum: 1000
            inputBorderRadius:
              type: number
              minimum: -1000
              maximum: 1000
            inputBorderWidth:
              type: number
              minimum: -1000
              maximum: 1000
            containerBorderRadius:
              type: number
              minimum: -1000
              maximum: 1000
          additionalProperties: false
        darkMode:
          type: object
          properties:
            logoUrl:
              type: string
              maxLength: 2048
            watermarkUrl:
              type: string
              maxLength: 2048
            faviconUrl:
              type: string
              maxLength: 2048
            primaryColor:
              type: string
              maxLength: 50
            colors:
              type: object
              properties:
                buttonPrimaryText:
                  type: string
                  maxLength: 50
                buttonPrimaryBorder:
                  type: string
                  maxLength: 50
                buttonSecondaryText:
                  type: string
                  maxLength: 50
                buttonSecondaryBackground:
                  type: string
                  maxLength: 50
                buttonSecondaryBorder:
                  type: string
                  maxLength: 50
                cardBackground:
                  type: string
                  maxLength: 50
                cardBorder:
                  type: string
                  maxLength: 50
                inputBackground:
                  type: string
                  maxLength: 50
                inputBorder:
                  type: string
                  maxLength: 50
                link:
                  type: string
                  maxLength: 50
                headingText:
                  type: string
                  maxLength: 50
                bodyText:
                  type: string
                  maxLength: 50
                containerBackground:
                  type: string
                  maxLength: 50
                containerBorder:
                  type: string
                  maxLength: 50
                divider:
                  type: string
                  maxLength: 50
                icon:
                  type: string
                  maxLength: 50
                loader:
                  type: string
                  maxLength: 50
                positive:
                  type: string
                  maxLength: 50
                critical:
                  type: string
                  maxLength: 50
                information:
                  type: string
                  maxLength: 50
                hover:
                  type: string
                  maxLength: 50
                focus:
                  type: string
                  maxLength: 50
              additionalProperties: false
            pageBackground:
              type: object
              properties:
                backgroundColor:
                  type: string
                  maxLength: 50
                backgroundImageUrl:
                  type: string
                  maxLength: 2048
              additionalProperties: false
            typography:
              type: object
              properties:
                display:
                  type: object
                  properties:
                    fontUrl:
                      type: string
                      maxLength: 2048
                  additionalProperties: false
              additionalProperties: false
            container:
              type: object
              properties:
                contentAlignment:
                  type: string
                  maxLength: 100
                position:
                  type: string
                  maxLength: 100
                padding:
                  type: number
                  minimum: -1000
                  maximum: 1000
                logoAlignment:
                  type: string
                  maxLength: 100
                logoPosition:
                  type: string
                  maxLength: 100
                logoHeight:
                  type: number
                  minimum: -1000
                  maximum: 1000
              additionalProperties: false
            borders:
              type: object
              properties:
                buttonBorderRadius:
                  type: number
                  minimum: -1000
                  maximum: 1000
                buttonBorderWidth:
                  type: number
                  minimum: -1000
                  maximum: 1000
                cardBorderRadius:
                  type: number
                  minimum: -1000
                  maximum: 1000
                cardBorderWidth:
                  type: number
                  minimum: -1000
                  maximum: 1000
                inputBorderRadius:
                  type: number
                  minimum: -1000
                  maximum: 1000
                inputBorderWidth:
                  type: number
                  minimum: -1000
                  maximum: 1000
                containerBorderRadius:
                  type: number
                  minimum: -1000
                  maximum: 1000
              additionalProperties: false
        template:
          type: string
          maxLength: 20000
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Management API secret key as the username and leave
        the password empty. This key is different from the Server API key and
        can be found in the API Keys section of the Authsignal Portal settings
        page.

````